Subject: PostScript Fonts
From: [email-masked]
Date: 4 Aug 92 22:35:09 GMT
Newsgroups: comp.sys.apple2

I see that the discussion of downloading PostScript font to a LaserWriter
has come up again. I have a LaserWriter hooked to my GS via AppleTalk
and I have been downloading fonts to it since I have bought it earlier
this year. Here are a few things I have found and hopefully they will
come across clearly..
 
First off, I found the best way to download to the printer is to just
hook up a modem cable to it. I use ProTerm 3.0 and it seems a bit slow,
it gets the job done. Once you have the thing hooked up and ready to go
you have to have afont to download. Like Kim, I believe it was Kim, said
you have to have the information part out of the resource to use it. Or
in other words, you have to have it in IBM format. (And I bet people out
there though IBM's were no good.. ;-) 
 
Now that you have a font, load up an editor and for the very first line
of it, insert a "serverdict begin 0 exitserver" line there. This will
allow you to put the font into memory so that it will stay there until
power down. Save the file back to disk and then you are set to send it
off to the printer.
 
Once sent, it will remain in RAM until power off. Then, go to whatever
program you want or like to use and create a document, select the print
command and it will come out with the pretty PostScript fonts like it
should.
 
Drop me mail at the reply address for now. My usual mail route is kinda
down due to "technical" problems.
 
You just have to make sure that the font family names match with whats
on the screen and what's in the printer's RAM.
 
Trent Corney